Security Enhanced Linux Reference Policy

# Layer: admin

## Module: cloudinit

Tunables Interfaces

### Description:

Init scripts for cloud VMs

### Tunables:

cloudinit_growpart

##### Default value

false

##### Description

Enable support for the cloud-init-growpart module.

cloudinit_manage_non_security

##### Default value

false

##### Description

Enable support for cloud-init to manage all non-security files.

Return

### Interfaces:

cloudinit_create_runtime_dirs( domain )

##### Summary

Create cloud-init runtime directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cloudinit_create_runtime_files( domain )

##### Summary

Create cloud-init runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cloudinit_create_tmp_files( domain )

##### Summary

Create cloud-init temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cloudinit_filetrans_runtime( domain , object_class , name )

##### Summary

Create files in /run with the type used for cloud-init runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | The class of the object to be created.
name | The name of the object being created.

cloudinit_getattr_state_files( domain )

##### Summary

Get the attribute of cloud-init state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cloudinit_rw_inherited_pipes( domain )

##### Summary

Read and write inherited cloud-init pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cloudinit_rw_runtime_files( domain )

##### Summary

Read and write cloud-init runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cloudinit_rw_tmp_files( domain )

##### Summary

Read and write cloud-init temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cloudinit_write_inherited_tmp_files( domain )

##### Summary

Write inherited cloud-init temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cloudinit_write_runtime_files( domain )

##### Summary

Write cloud-init runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return